NOCT(4)

NAME
noct - NetOctave NSP2000 crypto accelerator

SYNOPSIS
noct* at pci?

DESCRIPTION
The noct driver supports cards based on the NetOctave NSP2000 packet processor. The NSP2000 contains a public key processor, random number generator, and packet processor. The random number generator provides random bits to the random(4) subsystem.

Currently, the packet processor registers with the crypto(9) subsystem only to support MD5, SHA1, DES-CBC, and Triple-DES for ipsec(4) and crypto(4). The public key engine is not yet supported.

SEE ALSO
crypt(3), crypto(4), intro(4), ipsec(4), pci(4), random(4), crypto(9)

HISTORY
The noct device driver appeared in OpenBSD 3.2.